=== debian/changelog ===
setserial (2.12-2) unstable; urgency=low

  * Fixed bug #7685

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 27 Feb 1997 12:35:47 +0000

setserial (2.12-1) unstable; urgency=low

  * New upstream version. I have tried to repatch this release with the
  *   changes from previous debian releases, but some things have changed
  *   and I am not 100ure I have them all

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 19 Feb 1997 09:47:44 +0000

setserial (2.10-12) unstable; urgency=low

  * m68k packages will have a different 0setserial config file
  * Support for serial devices defined in m68k machines added

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 13 Feb 1997 09:47:44 +0000

setserial (2.10-11) unstable; urgency=low

  * Due to the number of bug reports concerning bootup failures during setserial,
  * I have removed all but com1 and 2 from the automatic configuration process. I
  * suggest that if you have a more complex setup, you edit this file by hand.
  * Com[1-2] is set to the standard port and irq, but uart probing is still done

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 23 Jan 1997 15:36:40 +0000

setserial (2.10-10) unstable; urgency=low

  * Added tests to make sure their is a serial module driver loaded
  * Switched to the new source layout

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-9) unstable; urgency=low

  * Brought the Debian maintenance files up to date.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-8) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-7) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-6) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-5) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-4) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-3) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-j) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-1) unstable; urgency=low

  * Initial Release.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 11:22:25 +0000

Local variables:
mode: debian-changelog
End:
