=== debian/control ===
Source: setserial
Section: base
Priority: required
Maintainer: Gordon Russell <g.russell@dcs.napier.ac.uk>
Standards-Version: 2.1.2.2

Package: setserial
Architecture: any
Depends: ${shlibs:Depends}
Description: Controls configuration of serial ports.
 Set and/or report the configuration information
 associated with a serial port. This information includes what I/O
 port and which IRQ a particular serial port is using.
 .
 By default, only COM1-4 are configured by the kernel, using IRQ 3 and 4.
 If you have other serial ports (such as an AST Fourport card), or
 if you have mapped the IRQs differently (perhaps COM3 and 4 to other
 IRQs to allow concurrent access with COM1 and 2) then you must have this
 package.
