## setserial 2.17

=== debian/changelog ===
setserial (2.17-58) unstable; urgency=medium

  * MR from Niels Thykier to fix the rootless build issue
    for sparc as well. Thanks a lot for taking care of this.
  * add ca.po (Closes: #1101659)
    Thanks to Carles Pina i Estany for the translation.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 18:30:09 +0200

setserial (2.17-57) unstable; urgency=medium

  * MR from Niels Thykier to fix the rootless build issue
    thanks a lot for taking care of this
    (Closes: #1089431)
  * debian/control: remove outdated paragraph from description
                    (Closes: #1082964)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 01 Jan 2025 18:30:09 +0100

setserial (2.17-56) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1086867)
    + Let dh_auto_configure pass --host to configure.
    + Fix build vs host confusion.
    + Fix lack of error trapping. (Policy violation)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Nov 2024 23:30:09 +0100

setserial (2.17-55) unstable; urgency=medium

  * debian/rules: use autoreconf (Closes: #1075505)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jul 2024 09:39:00 +0200

setserial (2.17-54) unstable; urgency=medium

  * add 20_implicit.patch (Closes: #1066477)
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: use dh13
  * Move setserial to /usr/bin. (Closes: #1063697)
    (thanks a lot to Helmut Grohne for the patch)
  * add ro.po (Closes: #1033718)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Mar 2024 09:39:00 +0100

setserial (2.17-53) unstable; urgency=medium

  * update watch file
  * debian/control: Standards version moved to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 00:39:00 +0100

setserial (2.17-52) unstable; urgency=medium

  * debian/control: ass salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Feb 2019 19:39:00 +0100

setserial (2.17-51) sid; urgency=medium

  * debian/control: Standards version moved to 4.3.0 (no changes)
  * debian/control: use dh11
  * debian/control: remove dependency for autotools-dev and dh-systemd
  * debian/control: replace prio extra by optional
  * debian/rules: do not use dh_systemd_enable
  * debian/rules: remove get-orig-source target
  * Fix FTCBFS: Export a triplet-prefixed CC (Closes: #876159)
    (Thanks to Helmut Grohne for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Jan 2019 15:39:00 +0100

setserial (2.17-50) unstable; urgency=medium

  * ack NMU, thanks to Martin Pitt and Christian Hofstaedtler for
    taking care of this
  * debian/control: add dependency to lsb-base (Closes: #850762)
  * debian/postrm: take care of old files (Closes: #830887)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Jan 2017 15:39:00 +0100

setserial (2.17-49.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Martin Pitt ]
  * 10_rc_etc_setserial.patch: Change etc-setserial's "checkfs" dependency to
    $local_fs, and drop initscripts dependency. (Closes: #804964)

  [ Christian Hofstaedtler ]
  * Drop empty /etc/modutils directory.
  * Install etc-setserial.service wrapping the etc-setserial init script.
    (Closes: #826132)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 11:11:55 +0200

setserial (2.17-49) unstable; urgency=medium

  * as upstream archive vanished, watch file is useless
  * debian/control: Homepage: is gone as well
  * debian/control: Standards version moved to 3.9.6 (no changes)
  * debian/control: add initscripts to dependencies (Closes: #734496)
  * on request of lintian add sourcing of /lib/lsb/init-functions to both
    init scripts
  * Add debian/setserial.service systemd unit, mostly to relax the very
    demanding Before=sysinit.target plus After=remote-fs.target combination
    resulting from the init.d script's $remote_fs dependency. This can easily
    cause dependency loops when using NFS and NetworkManager.
    (Closes: #786976, LP: #1452644)
    (Closes: #761951)
    Thanks to Martin Pitt for providing the patch!
  * Add dh-systemd build dependency and call dh_systemd_enable in
    debian/rules.
    Thanks to Martin Pitt for providing the patch!

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Sep 2015 23:00:00 +0200

setserial (2.17-48) unstable; urgency=low

  * new maintainer (Closes: #636122)
  * debian/watch: added
  * debian/rules: add hardening flags
  * debian/rules: modutils disappeared from Debian (Closes: #518313)
  * debian/rules: target get-orig-source added
  * debian/config: set -e moved from header to body of script
  * debian/postinst: set -e moved from header to body of script
  * debian/postinst: use default runlevel arguments for start and stop
  * debian/post*: do not use update-modules anymore (Closes: #468420)
  * debian/patches: add hardening flags
  * debian/patches: change /etc/init.d/setserial to properly report
                    handling by kernel (Closes: #375276)
  * debian/patches: add status parameter for rc-files
  * debian/control: add some kind of homepage

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 02 Jul 2012 18:00:00 +0200

setserial (2.17-47) unstable; urgency=low

  * QA upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664320).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 28 Mar 2012 22:16:35 +0300

setserial (2.17-46) unstable; urgency=low

  * Added README.source
  * Changed obsolete dpkg option (Closes: #566105)
  * Added Italian translation (Closes: #556032, #627138)
  * new standards version
  * orphaned package

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 11 Jun 2011 11:56:18 +0200

setserial (2.17-45.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding for Danish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Jan 2011 07:28:50 +0100


