=== debian/control ===
Source: setserial
Section: comm
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, po-debconf
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/alteholz/setserial
Vcs-Git: https://salsa.debian.org/alteholz/setserial.git

Package: setserial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
       , lsb-base (>=3.0-6)
Description: controls configuration of serial ports
 setserial is a program which allows you to look at and change various
 attributes of a serial device.
 .
 This version has a completely new approach to configuration.
