=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# upstream archive seems to be gone
#version=3
#opts=pasv \
#ftp://ftp.mcc.ac.uk/pub/linux/sources/sbin/setserial-(.+)\.tar\.gz
